#define WINVER 0x400
#include <windows.h>

#ifndef RC_INVOKED
#include <windowsx.h>
#include <commdlg.h>
#include <mmsystem.h>
// Manques de LCC
#include <mmsystem2.h>

#include <shellapi.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <malloc.h>
#include <time.h>

/* #define PASFINI */

#define OK    1
#define ERROR 0

char szString[128];   /* variable to load resource strings   */

char szAppName[20];   /* class name for the window           */
HWND hInst;           /* handle Instance actuelle            */
HWND hWndMain;        /* handle fenetre principale           */

#define DICT_EXT ".dic"            /* extension des fichiers dicos    */
#define VERSION_FILE "version.dic" /* fichier texte version dico      */
int nligversion ;
char versiondico [600] ;
long NbItem ; // Nb d'Item dans la liste box
#ifndef _MAX_FNAME
#define _MAX_FNAME _MAX_PATH+128
#endif
char PathDic [_MAX_PATH] ; // path ou chercher le dico
char windir [_MAX_PATH] ;  // Path de Windows
char PathHelp [_MAX_PATH] ; // paf du fichier d'aide
BOOL bHelpAppele ; // flag si help a fermer
BOOL bListFull ;   // flag trop de choses a afficher
LPCSTR lpArg ;     // liste des arguments

BOOL Trouve (char *buf, HWND hlist) ;
BOOL bAutoVoc ; // Vocabulaire autorise
BOOL bAutoCP ;  // Codes postaux autorises
BOOL bStrict ; // Recherche stricte
BOOL bSoundex ; // Utiliser soundex


// wdic.c
int PASCAL WinMain(HANDLE hInstance,HANDLE hPrevInstance,LPSTR lpCmdLine,int nCmdShow);
BOOL InitApplication(HANDLE hInstance);
BOOL InitInstance(HANDLE hInstance,int nCmdShow);
long PASCAL FAR MainWndProc(HWND hWnd,UINT message,WPARAM wParam,LPARAM lParam);
BOOL PASCAL FAR About (HWND hDlg,UINT message,WPARAM wParam,LPARAM lParam);
BOOL PASCAL FAR About2(HWND hDlg,UINT message,WPARAM wParam,LPARAM lParam);
BOOL PASCAL FAR MainDial(HWND hDlg,UINT message,WPARAM wParam,LPARAM lParam);
void OnSeCasse (void) ;
void LeDebut (void) ;
void play(LPCSTR) ;
BOOL TestDico (LPSTR path) ;
#ifdef PASFINI
void PasLa (char *quoi) ;
#endif
void Fatal (char *quoi) ;
void GetMainDico(void) ;
void MakeHelpPathName(char * szFileName) ;
void recherche (void) ;
void GotoBistrot (void) ;
void CopyToClip (void) ;
void CopyAllToClip (void) ;
// void PlaySound(LPCSTR lpszSound) ;
// #define iPlaySound(nIDS) { PlaySound(MAKEINTRESOURCE(nIDS)); }

// dicow.c

void lookfor ( char *pattern, // Pattern a chercher
          HWND hlist) ;   // Handle fenetre list box

void lookall ( char *pattern, HWND hlist) ;

DLGPROC lpMainDial ;
#endif  /* not RC_INVOKED */

  /*****************************************/
  /*                                       */
  /*     Liaisons avec les ressources      */
  /*                                       */
  /*****************************************/

/* boite main */
#define MAIN_DIAL       100
#define MAIN_EDIT       101
#define MAIN_SOL        102
#define MAIN_COPALL	103
#define MAIN_COP        104
#define MAIN_EXIT       105
#define MAIN_DICO       106
#define MAIN_ABOUT      107
#define MAIN_HELP       108
#define MAIN_GO         109
#define MAIN_LOC        110
#define MAIN_MOTS       111
#define MAIN_AIDE       112
#define MAIN_VOC        113
#define MAIN_CP         114
#define MAIN_PHOTO		115
#define MAIN_STRICT		116
#define MAIN_SOUNDEX	117

/* boite ABOUT */
#define ABOUT           200
#define ABOUT_DIC       201
#define ABOUT_COP1      202
#define ABOUT_HTTP		203

/* 2eme boite ABOUT */
#define ABOUT2          300
#define AB2_TEXT        301

/* du bruit ! */
/* non implemente avec LCC (Jacob ?) */
/* #define SND_AHHHH       1000 */
/* let's winspoon... */
#define FORTUNE         200
#define NB_FORT         14
